Qt5.12 with postgresql


(Peter Petrik) #1

How it is possible to install qt with postgresql driver in qt5.12? There was a change between 5.11 and 5.12 where the formula removed the postgresql dependancy and also arguments to qt make

args << "-plugin-sql-psql" if build.with? "postgresql"

Thank you

related to packaging QGIS for MacOS where we use qt from homebrew:


(Peter Petrik) #2

looks like we can use https://github.com/OSGeo/homebrew-osgeo4mac/blob/master/Formula/qpsql.rb